i have mac os x 10.5.8 do i need to update to get the app store on ?

Back To Product

Follow this Question

3 Answers from the Community

  • Best Answer:

    Yes you do. Snow Leopard is need for App Store.

    Was this useful? Answer 1

    51 of 70 people found this useful

  • yes

    Was this useful? Answer 2

    0 of 0 people found this useful

  • yes

    Was this useful? Answer 3

    5 of 24 people found this useful

Related Questions